### $Id: sample.config,v 1.8 2001/09/22 07:26:40 drscholl Exp $
###
### Sample configuration file for opennap
###
### This file is typically renamed to /usr/local/share/opennap/config, or
### for Win32 platforms it is C:\opennap\config
###

# this file should be read-only by the process running the daemon.  if the
# user/pass combo are leaked then anyone can alter the table used for storing
# the information

# the official name for this server (defaults to the value of gethostname(3))
#server_name localhost

# the name to use to refer to this server.  causes the `server_name' to be
# hidden.
#server_alias opennap

# port(s) to listen on for client connections (defaults to 8888)
#server_ports 4444 7777 8888

# maximum number of channels a user is allowed to join (default: 5)
#max_user_channels 5

# maximum number of chars in a nickname
#max_nick_length 32

# maximum length of server->server queue (default: 1MB)
#server_queue_length 1000000

# maximum length of server->client queue (default: 100KB)
#client_queue_length 10000

# maxiumum number of files returned by a browse command (default: 500)
#max_browse_result 5000

# maximum number of results returned for a search (default: 100)
#max_results 500

# maximum number of files a user is allowed to share (default: 5000)
#max_shared 1000

# how often to send server stats to clients (default: 60 seconds)
#stat_click 15

# how many levels to traverse when indexing filenames (default: 2 - includes
# parent directory of file)
#index_path_depth 1

# ignore file suffixes (all data after last '.') (default: yes)
#index_ignore_suffix no

# maximum number of local connections (default: 1000)
#max_connections 100

# ip address to listen on (default: ANY)
#listen_addr 127.0.0.1

# max amount of idle time allowed before closing connection when logging in
#login_timeout 60

# max length of a client command (default: 2kbytes)
#max_command_length 2048

# automatically register all user accounts the first time they log in
# (default: off)
# auto_register 0

# require all accounts to be registered (default: off)
# registered_only 0

# maximum number of entries allowed for a hotlist (default: 32)
# max_hotlist 100

# maximum number of entries allowed on an ignore list (default: 32)
# max_ignore 100

# maximum length of a channel topic (default: 64)
# max_topic 100

# maximum length of the client version string (default: 32)
# max_client_string 100

# maximum length of the reason string in the kick/kill/muzzle commands
# (default: 64)
# max_reason 100

# compression level (0 = none, 1 = least effort (default), 9 = best effort)
#compression_level 6

# maximum number of connnections from a single ip (default: 0 [unlimited])
#max_clones 3

# port to listen on for stats reporting (useful to napigator)
#stats_port 8889

# when max_connections has been reach, opennap will kick users who aren't
# sharing files in order to make room for other clients if `eject_when_full'
# is set to 1 (default: 0)
#eject_when_full 1

# set the min number of files a client has to share in order to be exempt
# from `eject_when_full'.  any client that shares eject_limit+1 files will
# not be disconnected.
#eject_limit 0

# specifices the number of seconds a client is exempt from ejection when
# they first log in.  this should be large enough to give a client time
# to start sharing files.
#eject_after 120

# number of commands that can be issued in `flood_time' seconds
#flood_commands 5

# number of seconds in which `flood_commands' number of commands can be
# issued by a client
# (default: 0 [no flood control])
#flood_time 10

# set the threshold after which opennap will warn if the number of files
# matching a particular search term exceeds this value.  (default: 5000)
#file_count_threshold 1000

# set the time after which unused nicknames are expired.  if a user hasn't
# logged in for this number of seconds, the nick is considered expired.
# mod+ accounts are exempt, and never expire (for security reasons)
# default: 31 days
# note: the value should be in seconds
#nick_expire 2678400

# Napigator support - you should only need to set stat_server_user and
#   stat_server_pass at the minimum.  If you have used your correct DNS
#   name for server_name above, then you don't need to use any of the
#   report_* variables.  If opennap has trouble detecting the proper values
#   to send to napigator, then you should set the report_* variables
#   appropriately.
#stat_server_user myuser
#stat_server_pass mypass
#stat_server_host stat.napigator.com
#stat_server_port 8890
# my server name on www.napigator.com
#report_name my.server.name
# this is the ip address that is externally visable
#report_ip 1.2.3.4
# this is the TCP port where clients can connect
#report_port 8888

# END of Win32 configuration.  What follows is only for the Unix versions

# if your operating system has a small limit for the maxium amount of data
# a single process is allowed to allocate, adjust this value to the maximum
# you wish to use.  on many systems this does not even require root access
# to change to a higher value (default: -1, use system default)
#max_data_size 64000000

# this value adjusts how much real memory each process is allowed to consume
# before parts of the allocated memory get swapped out (default: -1, use
# system default)
#max_rss_size 64000000

# set this to the highest value that max_connections will ever be during the
# process lifetime.  this can't be changed while opennap is running because
# on many systems it requires root privilege, and we drop those before
# handling user input as a security measure.  (default: 1024)
#connection_hard_limit 4096

# prevent opennap from being swapped to disk.  WARNING!  this should only
# be used in conjunction with the max_data_size otherwise opennap could
# consume all of your system memory (default: off)
#lock_memory 0

# EOF
